Download OpenAPI specification:
The Brand Brain Creative API for Content Generation and chatbot responses.
The API is used for offloading chatbot prompts where the chatbot needs to generate responses where is using these functions:
The API also includes a set of functions for managing the resources required for the above functions.
Submit a search job to the Knowledgebase.
| external_tracking_id | string non-empty An optional external job ID to be used for internal tracking purposes. |
| prompt required | string non-empty The prompt for the chatbot. |
| context_ids | Array of strings [ 1 .. 10 ] items Optional context IDs for the request. |
| access | string (Access) Enum: "PUBLIC" "PRIVATE" "RESTRICTED" Details the possible access levels for a resource. |
| labels | Array of strings (Labels) [ 1 .. 100 ] items [ items [ 1 .. 64 ] characters ^[a-zA-Z0-9_-]{1,64}$ ] These can be used to assist in determining more accurate search results by filtering on documents that have any one of the specified labels. Only alphanumeric characters, hyphens, and underscores are allowed for each label. Note: the search is case-insensitive. |
| mode | string Default: "SEARCH_AND_ANSWER" Enum: "SEARCH_AND_ANSWER" "SEARCH_ONLY" "SEARCH_WITH_CONTENT" Determines the behaviour of the search job.
|
| callback_url | string <uri> (Callback URL) non-empty Webhook callback endpoint. |
A basic request with minimum required arguments.
{- "prompt": "What is the process for submitting a travel expense claim?"
}{- "job_id": "453bd7d7-5355-4d6d-a38e-d9e7eb218c3f"
}{- "job_id": "453bd7d7-5355-4d6d-a38e-d9e7eb218c3f",
- "status": "submitted"
}Retrieves the current status and result (if any) of a search via prompt job.
| job_id required | string <uuid> Example: 13d87fb8-a940-447c-9755-dbe6c631ef57 The ID of the job to query. |
The job is still processing and the result is not yet available.
{- "status": "processing"
}Knowledgebase API for creating a context based on a document, chat history, competitor analysis, or use case.
Create a new context.
| data | string non-empty The data of the context. |
| context_type | string The type of the context. |
A document uploaded to create a context.
{- "data": "Lorem ipsum dolor sit amet, consectetur adipiscing elit.",
- "context_type": "document"
}{- "context_id": "f31d7249-b7b1-4729-b3a4-ec0ba07b4686"
}Triggers the import of a document into the Knowledgebase database. Once the document is fetched and processed, the chunks are stored in the database and the document is indexed.
| external_tracking_id | string non-empty An optional external job ID to be used for internal tracking purposes. |
| uri required | string non-empty URI of the document to import. See the User Guide for supported file types, size limits, and other restrictions. |
| access | string Default: "PUBLIC" Enum: "PUBLIC" "PRIVATE" "RESTRICTED" Access level for the imported document. |
| labels | Array of strings (Labels) [ 1 .. 100 ] items [ items [ 1 .. 64 ] characters ^[a-zA-Z0-9_-]{1,64}$ ] List of labels to be associated with the document. Only alphanumeric characters, hyphens, and underscores are allowed for each label. Note: labels will be stored in a case-insensitive manner. |
| weight | integer (Weight) [ 1 .. 100 ] Default: 1 Weight of the document for search ranking. A value of one (1) means the document is not weighted. |
| callback_url | string <uri> (Callback URL) non-empty Webhook callback endpoint. |
{
}{- "job_id": "453bd7d7-5355-4d6d-a38e-d9e7eb218c3f"
}{- "job_id": "453bd7d7-5355-4d6d-a38e-d9e7eb218c3f",
- "status": "submitted"
}Retrieves the current status and result (if any) of a Knowledgebase Import job. The result may include the document ID, chunk IDs, and any relevant failures.
| job_id required | string <uuid> non-empty Example: 13d87fb8-a940-447c-9755-dbe6c631ef57 The ID of the job to retrieve. |
{- "status": "completed",
- "result": {
- "doc_id": "c8561737-9a40-4d91-8958-e405c0ad8596",
- "chunks": [
- "497f6eca-6276-4993-bfeb-53cbbbba6f08"
]
}, - "failures": [
- {
- "code": "NOT_FOUND",
- "message": "Cannot access document at 'uri'.",
}
]
}Get a chunk by its ID.
| chunk_id required | string <uuid> non-empty The ID of the chunk. |
{- "chunk_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
- "content": "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed do eiusmod\ntempor incididunt ut labore et dolore magna aliqua.\n",
- "access": "PRIVATE",
- "status": "ACTIVE",
- "labels": [
- "EXAMPLE_LABEL",
- "ANOTHER_LABEL"
]
}Finds documents in the Knowledgebase database. The search can be performed based on the URI of the document, or it can return all documents. The search can be limited to an exact match of the URI.
This endpoint supports pagination and returns up to 100 documents per page. If there are more documents to
be fetched, use the next_page_token from the response to fetch the subsequent page.
| uri | string non-empty Example: uri=rainbow A portion of the URI to search for. |
| exact | boolean Default: false Example: exact=true Whether to match the URI exactly. |
| page_token | string non-empty Example: page_token=eyJkb2NfaWQiOiAiZDI5MGYxZWUtNmM1NC00YjAxLTkwZTYtZDcwMTc0OGYwODUxIiwgInVyaSI6ICJodHRwczovL2V4YW1wbGUuY29tL2RvY3MvcmFpbmJvd30ifQ== A token to retrieve the next page of results. This token is obtained from the |
A list of documents with a token for the next page.
{- "documents": [
], - "next_page_token": "eyJkb2NfaWQiOiAiZDI5MGYxZWUtNmM1NC00YjAxLTkwZTYtZDcwMTc0OGYwODUxIiwgInVyaSI6ICJodHRwczovL2V4YW1wbGUuY29tL2RvY3MvcmFpbmJvd30ifQ=="
}Get a document by its ID.
Note: Only the first 1000 chunk IDs are returned.
| doc_id required | string <uuid> non-empty The ID of the document. |
{- "doc_id": "0480b34a-1be4-43fe-82d6-567c7d9f0fc8",
- "status": "ACTIVE",
- "access": "PUBLIC",
- "labels": [
- "EXAMPLE_LABEL",
- "ANOTHER_LABEL"
], - "weight": 10,
- "chunks": [
- "f2a7e462-0d7c-45f7-a2d4-9a35febc40bf",
- "332b2780-ac9e-44f0-8e83-1996e0ef05ac"
]
}Deletes all the chunks for a document by its ID.
| doc_id required | string <uuid> The ID of the document. |
{- "code": "BAD_PATH_PARAMETERS",
- "message": "Invalid path parameters",
- "details": {
- "doc_id": "Input should be a valid UUID"
}
}Patch a document metadata by its ID.
| doc_id required | string <uuid> non-empty The ID of the document. |
The metadata to update for the document. Only the the fields provided will be updated.
| external_tracking_id | string non-empty An optional external job ID to be used for internal tracking purposes. |
| status | string (Status) Enum: "ACTIVE" "SUSPENDED" Details the possible status for a resource. |
| access | string (Access) Enum: "PUBLIC" "PRIVATE" "RESTRICTED" Details the possible access levels for a resource. |
| labels | Array of strings (Labels) <= 100 items [ items [ 1 .. 64 ] characters ^[a-zA-Z0-9_-]{1,64}$ ] List of labels associated with the record. |
| weight | integer (Weight) [ 1 .. 100 ] Weight of the document for search ranking. A value of one (1) means the document is not weighted. |
| update_reason | string [ 1 .. 128 ] characters The reason for updating the document metadata. |
| callback_url | string <uri> (Callback URL) non-empty Webhook callback endpoint. |
{- "external_tracking_id": "8a6953e1-cc2b-4be6-8d8b-f0a87daf7334",
- "status": "ACTIVE",
- "access": "PUBLIC",
- "labels": [
- "label1",
- "label2"
], - "weight": 1,
- "update_reason": "string",
}{- "job_id": "453bd7d7-5355-4d6d-a38e-d9e7eb218c3f"
}{- "job_id": "453bd7d7-5355-4d6d-a38e-d9e7eb218c3f",
- "status": "submitted"
}Retrieves the current status and result (if any) of a Knowledgebase Patch Document job.
| doc_id required | string <uuid> non-empty The ID of the document. |
| job_id required | string <uuid> non-empty Example: 13d87fb8-a940-447c-9755-dbe6c631ef57 The ID of the job to retrieve. |
{- "status": "completed",
- "result": {
- "doc_id": "c8561737-9a40-4d91-8958-e405c0ad8596",
- "status": "ACTIVE",
- "access": "PUBLIC",
- "labels": [
- "label1",
- "label2"
], - "weight": 1,
- "chunks": [
- "497f6eca-6276-4993-bfeb-53cbbbba6f08"
]
}, - "failures": [
- {
- "code": "INTERNAL_ERROR",
- "message": "Failed to update all records for the given document",
- "details": { }
}
]
}Set the status of a document by its ID.
| doc_id required | string <uuid> The ID of the document to set the status of |
| status required | string (Status) Enum: "ACTIVE" "SUSPENDED" Details the possible status for a resource. |
{- "status": "ACTIVE"
}{- "code": "BAD_PATH_PARAMETERS",
- "message": "Invalid path parameters",
- "details": {
- "doc_id": "Input should be a valid UUID"
}
}Set the access of a document by its ID.
| doc_id required | string <uuid> The ID of the document. |
| access required | string (Access) Enum: "PUBLIC" "PRIVATE" "RESTRICTED" Details the possible access levels for a resource. |
{- "access": "PUBLIC"
}{- "code": "BAD_PATH_PARAMETERS",
- "message": "Invalid path parameters",
- "details": {
- "doc_id": "Input should be a valid UUID"
}
}Recommend labels for a document based on its content and provided candidate labels.
| doc_id required | string <uuid> The ID of the document to analyse. |
List of candidate labels (including descriptions) to evaluate against the document.
| external_tracking_id | string non-empty An optional external tracking ID to be used for internal tracking purposes. |
required | Array of objects (Candidate Labels) [ 1 .. 100 ] items List of candidate labels to evaluate against the document. Only alphanumeric characters, hyphens, and underscores are allowed for each label. Note: labels will be recommended in a case-insensitive manner and returned in uppercase to align with the system's standard label format. |
| callback_url | string <uri> (Callback URL) non-empty Webhook callback endpoint. |
An example request to recommend labels for a document.
{- "labels": [
- {
- "name": "TECHNICAL_SUPPORT",
- "description": "Issues related to technical support and troubleshooting."
}, - {
- "name": "BILLING",
- "description": "Questions and issues related to billing and payments."
}, - {
- "name": "SUPPORT",
- "description": "General support inquiries."
}
]
}{- "job_id": "453bd7d7-5355-4d6d-a38e-d9e7eb218c3f"
}{- "job_id": "453bd7d7-5355-4d6d-a38e-d9e7eb218c3f",
- "status": "submitted"
}Retrieves the current status and result (if any) of a recommend labels job.
| doc_id required | string <uuid> non-empty The ID of the document. |
| job_id required | string <uuid> Example: 13d87fb8-a940-447c-9755-dbe6c631ef57 The ID of the job to query. |
The job is still processing and the result is not yet available.
{- "status": "processing"
}Smart Asset Search API for finding digital media assets based on a prompt or other digital media assets.
Retrieve a list of assets based on a given prompt.
| prompt required | string non-empty The prompt for the chatbot. |
| access | string (Access) Enum: "PUBLIC" "PRIVATE" "RESTRICTED" Details the possible access levels for a resource. |
A basic prompt request.
{- "prompt": "What does Paris look like?"
}Successfully retrieved relevant resources in the Smart Asset Search service.
{- "assets": [
]
}Retrieve a list of assets similar to the one located at the provided URI.
| image_uri required | string <uri> non-empty The URI of the image to search for similar assets. |
| access | string (Access) Enum: "PUBLIC" "PRIVATE" "RESTRICTED" Details the possible access levels for a resource. |
A basic search via image URI request.
{
}Successfully retrieved relevant resources in the Smart Asset Search service.
{- "assets": [
]
}Triggers the import of an asset into the Smart Asset Search database.
| external_tracking_id | string non-empty An optional external job ID to be used for internal tracking purposes. |
| uri required | string URI of the asset to import. |
| access | string (Access) Enum: "PUBLIC" "PRIVATE" "RESTRICTED" Details the possible access levels for a resource. |
| callback_url | string <uri> (Callback URL) non-empty Webhook callback endpoint. |
{
}{- "job_id": "453bd7d7-5355-4d6d-a38e-d9e7eb218c3f"
}{- "job_id": "453bd7d7-5355-4d6d-a38e-d9e7eb218c3f",
- "status": "submitted"
}Retrieve the status of an Import Asset job.
| job_id required | string <uuid> Example: 13d87fb8-a940-447c-9755-dbe6c631ef57 The ID of the job to query. |
{- "status": "completed",
- "message": "The job has finished with failures.",
- "failures": [
- {
- "code": "product_id_not_found",
- "message": "Product with ID 123478976 was not found",
- "details": {
- "product_id": "123478976"
}
}
]
}Retrieve the result of am Import Asset job.
| job_id required | string <uuid> Example: 13d87fb8-a940-447c-9755-dbe6c631ef57 The ID of the job to query. |
{- "asset_id": "d290f1ee-6c54-4b01-90e6-d701748f0851"
}Finds assets in the Smart Asset Search database. The search is performed based on the URI of the asset. The search can be limited to an exact match of the URI.
The search is limited to 100 assets. If more than 100 assets are found, the response will contain the first 100 assets found.
| uri | string Example: uri=rainbow A portion of the URI to search for. |
| exact | boolean Example: exact=true Whether to match the URI exactly. |
[- {
- "asset_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
- "labels": "label1"
}, - {
- "asset_id": "d290f1ee-6c54-4b01-90e6-d701748f0852",
- "labels": "label2"
}
]Set the status of a asset by its ID.
| asset_id required | string <uuid> The ID of the asset. |
| status required | string (Status) Enum: "ACTIVE" "SUSPENDED" Details the possible status for a resource. |
{- "status": "ACTIVE"
}{- "message": "Invalid request body"
}Set the access of an asset by its ID.
| asset_id required | string <uuid> The ID of the asset. |
| access required | string (Access) Enum: "PUBLIC" "PRIVATE" "RESTRICTED" Details the possible access levels for a resource. |
{- "access": "PUBLIC"
}{- "message": "Invalid request body"
}Creates a new dataset.
| name required | string non-empty The name of the dataset. |
| description required | string non-empty A description of the dataset. |
required | URLs (object) non-empty The source of the dataset. |
| callback_url | string <uri> (Callback URL) non-empty Webhook callback endpoint. |
Providing URLs as a source.
{- "name": "My new dataset",
- "description": "A dataset of cat photos.",
- "source": {
}
}{- "dataset_id": "8c4c51f1-f6f3-43bc-b65d-7415e8ef22c0",
- "name": "string",
- "description": "string",
- "status": "CREATING",
- "failures": [
- {
- "code": "string",
- "message": "string"
}
], - "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z"
}{- "dataset_id": "8c4c51f1-f6f3-43bc-b65d-7415e8ef22c0",
- "status": "CREATING",
- "job_type": "create_dataset"
}Returns a dataset.
| dataset_id required | string <uuid> non-empty The ID of the dataset to get. |
{- "dataset_id": "8c4c51f1-f6f3-43bc-b65d-7415e8ef22c0",
- "name": "string",
- "description": "string",
- "status": "CREATING",
- "failures": [
- {
- "code": "string",
- "message": "string"
}
], - "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z"
}Updates a dataset.
| dataset_id required | string <uuid> non-empty The ID of the dataset to update. |
| name required | string non-empty The name of the dataset. |
| description required | string non-empty A description of the dataset. |
{- "name": "string",
- "description": "string"
}{- "dataset_id": "8c4c51f1-f6f3-43bc-b65d-7415e8ef22c0",
- "name": "string",
- "description": "string",
- "status": "CREATING",
- "failures": [
- {
- "code": "string",
- "message": "string"
}
], - "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z"
}Deletes a dataset.
| dataset_id required | string <uuid> non-empty The ID of the dataset to delete. |
| callback_url | string <uri> (Callback URL) non-empty Webhook callback endpoint. |
{
}{- "code": "not_found",
- "message": "Dataset not found."
}{- "dataset_id": "8c4c51f1-f6f3-43bc-b65d-7415e8ef22c0",
- "status": "CREATING",
- "job_type": "create_dataset"
}Triggers the annotation of a dataset.
| dataset_id required | string <uuid> non-empty The ID of the dataset to annotate. |
| callback_url | string <uri> (Callback URL) non-empty Webhook callback endpoint. |
{
}{- "code": "not_found",
- "message": "Dataset not found."
}{- "dataset_id": "8c4c51f1-f6f3-43bc-b65d-7415e8ef22c0",
- "status": "CREATING",
- "job_type": "create_dataset"
}Returns a list of items in a dataset.
| dataset_id required | string <uuid> non-empty The ID of the dataset the items belong to. |
| page_token | string non-empty Optional starting point (page token returned in previous request) for listing dataset items. |
{- "next_page_token": "string",
- "items": [
- {
- "item_id": "4d8cd62e-a579-4dae-af8c-3172f96f8f7c",
- "status": "CREATING"
}
]
}Creates a new dataset item.
| dataset_id required | string <uuid> non-empty The ID of the dataset the item belongs to. |
| source required | string <uri> non-empty The source of the dataset item. |
| callback_url | string <uri> (Callback URL) non-empty Webhook callback endpoint. |
{
}{- "item_id": "4d8cd62e-a579-4dae-af8c-3172f96f8f7c",
- "status": "CREATING",
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z"
}{- "dataset_id": "8c4c51f1-f6f3-43bc-b65d-7415e8ef22c0",
- "item_id": "4d8cd62e-a579-4dae-af8c-3172f96f8f7c",
- "status": "CREATING",
- "job_type": "create_dataset"
}Returns a dataset item.
| dataset_id required | string <uuid> non-empty The ID of the dataset the item belongs to. |
| item_id required | string <uuid> non-empty The ID of the dataset item to get. |
{- "dataset_id": "8c4c51f1-f6f3-43bc-b65d-7415e8ef22c0",
- "item_id": "4d8cd62e-a579-4dae-af8c-3172f96f8f7c",
- "status": "CREATING",
- "failures": [
- {
- "code": "string",
- "message": "string"
}
], - "annotations": "string",
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z"
}Deletes a dataset item.
| dataset_id required | string <uuid> non-empty The ID of the dataset the item belongs to. |
| item_id required | string <uuid> non-empty The ID of the dataset item to delete. |
| callback_url | string <uri> (Callback URL) non-empty Webhook callback endpoint. |
{
}{- "code": "not_found",
- "message": "Dataset item not found."
}{- "dataset_id": "8c4c51f1-f6f3-43bc-b65d-7415e8ef22c0",
- "item_id": "4d8cd62e-a579-4dae-af8c-3172f96f8f7c",
- "status": "CREATING",
- "job_type": "create_dataset"
}Returns a list of models.
| page_token | string non-empty Optional starting point (page token returned in previous request) for listing models. |
{- "next_page_token": "string",
- "items": [
- {
- "model_id": "f8ff2fb8-4acc-4e48-bd83-cbdac23e1224",
- "name": "string",
- "description": "string",
- "model_type": "STABLE_DIFFUSION"
}
]
}Creates a new model.
Model creation request.
| name required | string non-empty The name of the model. |
| description required | string non-empty A description of the model. |
| model_type required | string (Model Type) non-empty Enum: "STABLE_DIFFUSION" "BRIA" "LORA" "VAE" "CONTROLNET" The type of the model. |
required | Hugging Face (object) or URI (object) non-empty The source of the model. This is where the model is 'cloned' from. |
| callback_url | string <uri> (Callback URL) non-empty Webhook callback endpoint. |
Providing a hugging_face payload as a source.
{- "name": "My new model",
- "description": "A new great model, it's capable of great things.",
- "model_type": "LORA",
- "source": {
- "hugging_face": {
- "repository_id": "stabilityai/stable-diffusion-3-medium"
}
},
}{- "model_id": "f8ff2fb8-4acc-4e48-bd83-cbdac23e1224",
- "name": "string",
- "description": "string",
- "model_type": "STABLE_DIFFUSION",
- "source": {
- "hugging_face": {
- "repository_id": "stabilityai/stable-diffusion-3-medium"
}
}, - "status": "CREATING",
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z"
}{- "model_id": "f8ff2fb8-4acc-4e48-bd83-cbdac23e1224",
- "status": "CREATING",
- "job_type": "create_model"
}Retrieves a model.
| model_id required | string <uuid> non-empty The ID of the model to get. |
{- "model_id": "f8ff2fb8-4acc-4e48-bd83-cbdac23e1224",
- "name": "string",
- "description": "string",
- "model_type": "STABLE_DIFFUSION",
- "source": {
- "hugging_face": {
- "repository_id": "stabilityai/stable-diffusion-3-medium"
}
}, - "status": "CREATING",
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z"
}Updates a model.
| model_id required | string <uuid> non-empty The ID of the model to update. |
| name required | string non-empty The name of the model. |
| description required | string non-empty A description of the model. |
{- "name": "string",
- "description": "string"
}{- "model_id": "f8ff2fb8-4acc-4e48-bd83-cbdac23e1224",
- "name": "string",
- "description": "string",
- "model_type": "STABLE_DIFFUSION",
- "source": {
- "hugging_face": {
- "repository_id": "stabilityai/stable-diffusion-3-medium"
}
}, - "status": "CREATING",
- "created_at": "2019-08-24T14:15:22Z",
- "updated_at": "2019-08-24T14:15:22Z"
}Deletes a model.
| model_id required | string <uuid> non-empty The ID of the model to delete. |
| callback_url | string <uri> (Callback URL) non-empty Webhook callback endpoint. |
{
}{- "code": "not_found",
- "message": "Model not found."
}{- "model_id": "f8ff2fb8-4acc-4e48-bd83-cbdac23e1224",
- "status": "CREATING",
- "job_type": "create_model"
}Generate images based on a prompt.
| prompt required | string [ 1 .. 256 ] characters The criteria for the images to be generated. |
| negative_prompt | string [ 1 .. 256 ] characters The criteria for the images to be avoided. |
| number_of_images | integer [ 1 .. 10 ] Default: 1 The number of images to generate. |
| base_model_id required | string <uuid> non-empty The base model to use to generate the images. |
| lora_model_id | string <uuid> non-empty The LoRA model to use to generate the images. |
| callback_url | string <uri> (Callback URL) non-empty Webhook callback endpoint. |
| external_tracking_id | string non-empty An optional external job ID to be used for internal tracking purposes. |
{- "prompt": "What does Paris look like?",
- "negative_prompt": "What does Paris not look like?",
- "number_of_images": 1,
- "base_model_id": "0498b419-32fe-43f4-b07d-a62cf1cf96e6",
- "lora_model_id": "de55252a-4f82-4dac-afbd-844e8ecedfed",
- "external_tracking_id": "8a6953e1-cc2b-4be6-8d8b-f0a87daf7334"
}{- "job_id": "453bd7d7-5355-4d6d-a38e-d9e7eb218c3f"
}{- "job_id": "453bd7d7-5355-4d6d-a38e-d9e7eb218c3f",
- "status": "completed"
}Retrieve the status of a Text-to-Image generation job.
| job_id required | string <uuid> non-empty Example: 13d87fb8-a940-447c-9755-dbe6c631ef57 The ID of the job to query. |
{- "status": "completed",
- "message": "The job has completed successfully."
}Retrieve the result of a Text-to-Image generation job.
| job_id required | string <uuid> non-empty Example: 13d87fb8-a940-447c-9755-dbe6c631ef57 The ID of the job to query. |
{- "images": [
- {
- "image_id": "84c230fd-5520-4984-8119-37365b66fd80"
}
]
}Get the raw image data of a generated image.
Note: Image size is limited to 10MB (megabytes).
| image_id required | string <uri> non-empty The ID of the generated image. |
| format | string non-empty Default: "PNG" Enum: "JPG" "PNG" "WEBP" The format of the image. |
| quality | integer [ 0 .. 100 ] Default: 100 The quality of the image. Note: This parameter is only applicable to JPG and WEBP formats. |
| Accept | string non-empty Default: image/png Enum: "image/jpeg" "image/png" "image/webp" The accepted response content type. |
{- "message": "Invalid request body"
}Triggers the generation of creative text based on the provided parameters. The generated text will be tailored to the specified engagement type and objective.
| external_tracking_id | string non-empty Optional external job ID to be used for internal tracking purposes. |
required | object non-empty The engagement type for the generated text. |
| objective required | string non-empty The objective that the generated text is expected to achieve. |
required | Array of objects non-empty unique The section(s) that the generated text should include. |
| callback_url | string <uri> (Callback URL) non-empty Webhook callback endpoint. |
{- "external_tracking_id": "string",
- "engagement": {
- "name": "social_post",
- "config": {
- "brand_tone": {
- "tone_of_voice": "Informal but professional",
- "writing_style": "Simple and concise",
- "target_audience": "General audience",
- "grammar": "Correct usage of grammar and punctuation",
- "emotional_tone": "Neutral",
- "punctuation": "Limited use of commas and full stops.",
- "language": "Easy to understand language. Avoid using jargon and complex words.",
- "pitch": "Positive and optimistic",
- "choice_of_words": "Use simple words and phrases. Avoid using slang or offensive language.",
- "use_of_emoticons": "Emoticons can be used in informal communications but not in professional communications.",
- "pattern": "Use short paragraphs and bullet points for better readability.",
- "industry": "General"
}, - "keywords_phrases": {
- "must": [
- "revolutionary"
], - "should": [
- "great"
], - "omit": [
- "bad"
]
}
}
}, - "objective": "string",
- "sections": [
- {
- "name": "title",
- "config": {
- "definition": "string",
- "keywords_phrases": {
- "must": [
- "revolutionary"
], - "should": [
- "great"
], - "omit": [
- "bad"
]
}, - "content_length": {
- "min": 1,
- "max": 1,
- "unit": "words"
}, - "structure": "text"
}
}
],
}{- "job_id": "453bd7d7-5355-4d6d-a38e-d9e7eb218c3f"
}{- "job_id": "453bd7d7-5355-4d6d-a38e-d9e7eb218c3f",
- "status": "submitted"
}Retrieves the current status and result (if any) of a text generation job. The result may include sections of generated text, warnings, and any relevant failures.
| job_id required | string <uuid> Example: 13d87fb8-a940-447c-9755-dbe6c631ef57 The ID of the job to query. |
{- "status": "completed",
- "result": {
- "sections": [
- {
- "name": "title",
- "content": "A title that will grab the reader's attention"
}
], - "warnings": [ ],
- "sources": {
- "source1": { },
- "source2": { }
}
}, - "failures": [
- {
- "code": "CONNECTION_ERROR",
- "message": "Cannot connect to context provider 'Knowledgebase'.",
- "detail": {
- "source": "creative_text_gen.generator"
}
}
]
}Submits a request to adapt previously generated text content based on specified properties such as content length, brand tone, engagement type, and section structure.
| external_tracking_id | string non-empty Optional external job ID for internal tracking. |
required | Plain Text (string) or Array of Result Sections (objects) The content to be adapted. |
Engagement Type Adaptation (object) or Engagement Type with Platform Adaptation (object) non-empty The type of engagement for the adapted content. | |
required | Array of objects (Section Adaptation) non-empty unique The section(s) that the generated text should include. |
| callback_url | string <uri> (Callback URL) non-empty Webhook callback endpoint. |
Adapting plain text content to a specific content length, target audience, and platform.
{- "external_tracking_id": "a3f5d1c2-4f3b-11ec-81d3-0242ac130003",
- "content": "Introducing the revolutionary Generic Product that will change your daily life!",
- "engagement": {
- "name": "social_post",
- "platform": "instagram",
- "config": {
- "brand_tone": {
- "target_audience": "Gen Z"
}
}
}, - "sections": [
- {
- "name": "body",
- "config": {
- "definition": "The body of the Instagram Post. It should clearly describe the product.",
- "keywords_phrases": {
- "must": [
- "Generic Product"
]
}, - "content_length": {
- "value": 125,
- "unit": "characters"
}, - "structure": "text"
}
}
],
}{- "job_id": "453bd7d7-5355-4d6d-a38e-d9e7eb218c3f"
}{- "job_id": "453bd7d7-5355-4d6d-a38e-d9e7eb218c3f",
- "status": "submitted"
}Retrieves the current status and result (if any) of an adaptation job. The result may include sections of adapted text, warnings, and any relevant failures.
| job_id required | string <uuid> Example: 13d87fb8-a940-447c-9755-dbe6c631ef57 The ID of the job to query. |
{- "status": "completed",
- "result": {
- "sections": [
- {
- "name": "title",
- "content": "A title that will grab the reader's attention"
}
], - "warnings": [ ],
- "sources": {
- "source1": { },
- "source2": { }
}
}, - "failures": [
- {
- "code": "CONNECTION_ERROR",
- "message": "Cannot connect to context provider 'Knowledgebase'.",
- "detail": {
- "source": "creative.creative-text.adaptation"
}
}
]
}Lists the available creative configs.
| engagement | string (Engagement) Enum: "generic" "email" "social_post" "blog_post" "creative_brief" Example: engagement=email The form of interaction or communication aimed at capturing attention, promoting content, or encouraging participation. |
| platform | string (Platform) non-empty ^[a-z0-9_]+$ Example: platform=facebook The specific platform for the content. |
| section | string (Section) non-empty ^[a-z0-9_]+$ Example: section=title The name identifying a specific part or component within the content. |
| updated_at_from | string\d{4}-(?:0[1-9]|1[0-2])-(?:0[1-9]|[1-2]\d|3[0... Example: updated_at_from=2024-01-01T00:00:00Z The updated at date from. |
| updated_at_to | string\d{4}-(?:0[1-9]|1[0-2])-(?:0[1-9]|[1-2]\d|3[0... Example: updated_at_to=2024-01-01T00:00:00Z The updated at date to. |
| sort_by | string non-empty Default: "updated_at" Value: "updated_at" Example: sort_by=updated_at The field to sort by. |
| sort_order | string non-empty Default: "desc" Enum: "asc" "desc" Example: sort_order=desc The sort order. |
| limit | integer [ 1 .. 100 ] Default: 100 Example: limit=100 The maximum number of items to return. |
| page_token | string non-empty Example: page_token=eyJwYWdlX3Rva2VuIjoiY2F0IiwgInNlY3JldCI6IjEifQ== The page token (returned in the previous request) for getting the next page. |
{- "items": [
- {
- "engagement": "social_post",
- "created_at": "2024-01-01T12:00:00Z",
- "updated_at": "2024-01-01T12:00:00Z"
}
], - "next_page_token": "eyJwYWdlX3Rva2VuIjoiY2F0IiwgInNlY3JldCI6IjEifQ=="
}Creates a new creative config for a specific section.
| section required | string (Section) non-empty ^[a-z0-9_]+$ The name identifying a specific part or component within the content. |
required | object (Section Config) non-empty A configuration that applies to a specific section. |
{- "section": "title",
- "config": {
- "definition": "string",
- "keywords_phrases": {
- "must": [
- "revolutionary"
], - "should": [
- "great"
], - "omit": [
- "bad"
]
}, - "content_length": {
- "min": 1,
- "max": 1,
- "unit": "words"
}, - "structure": "text"
}
}{- "section": "title",
- "config": {
- "definition": "string",
- "keywords_phrases": {
- "must": [
- "revolutionary"
], - "should": [
- "great"
], - "omit": [
- "bad"
]
}, - "content_length": {
- "min": 1,
- "max": 1,
- "unit": "words"
}, - "structure": "text"
}, - "created_at": "2024-01-01T12:00:00Z",
- "updated_at": "2024-01-01T12:00:00Z"
}Get the configuration for a specific section.
| section required | string (Section) non-empty ^[a-z0-9_]+$ Example: title The name identifying a specific part or component within the content. |
{- "section": "title",
- "config": {
- "definition": "string",
- "keywords_phrases": {
- "must": [
- "revolutionary"
], - "should": [
- "great"
], - "omit": [
- "bad"
]
}, - "content_length": {
- "min": 1,
- "max": 1,
- "unit": "words"
}, - "structure": "text"
}, - "created_at": "2024-01-01T12:00:00Z",
- "updated_at": "2024-01-01T12:00:00Z"
}Update the configuration for a specific section.
| section required | string (Section) non-empty ^[a-z0-9_]+$ Example: title The name identifying a specific part or component within the content. |
The new configuration for the section.
required | object (Section Config) non-empty A configuration that applies to a specific section. |
{- "config": {
- "definition": "string",
- "keywords_phrases": {
- "must": [
- "revolutionary"
], - "should": [
- "great"
], - "omit": [
- "bad"
]
}, - "content_length": {
- "min": 1,
- "max": 1,
- "unit": "words"
}, - "structure": "text"
}
}{- "section": "title",
- "config": {
- "definition": "string",
- "keywords_phrases": {
- "must": [
- "revolutionary"
], - "should": [
- "great"
], - "omit": [
- "bad"
]
}, - "content_length": {
- "min": 1,
- "max": 1,
- "unit": "words"
}, - "structure": "text"
}, - "created_at": "2024-01-01T12:00:00Z",
- "updated_at": "2024-01-01T12:00:00Z"
}Delete the configuration for a specific section.
| section required | string (Section) non-empty ^[a-z0-9_]+$ Example: title The name identifying a specific part or component within the content. |
{- "code": "BAD_REQUEST_BODY",
- "message": "Invalid request body",
- "details": { }
}Creates a new creative config for an engagement.
| engagement required | string (Engagement) Enum: "generic" "email" "social_post" "blog_post" "creative_brief" The possible engagement types. |
required | object (Engagement Config) non-empty A configuration that applies to the entire engagement. |
{- "engagement": "social_post",
- "config": {
- "brand_tone": {
- "tone_of_voice": "Informal but professional",
- "writing_style": "Simple and concise",
- "target_audience": "General audience",
- "grammar": "Correct usage of grammar and punctuation",
- "emotional_tone": "Neutral",
- "punctuation": "Limited use of commas and full stops.",
- "language": "Easy to understand language. Avoid using jargon and complex words.",
- "pitch": "Positive and optimistic",
- "choice_of_words": "Use simple words and phrases. Avoid using slang or offensive language.",
- "use_of_emoticons": "Emoticons can be used in informal communications but not in professional communications.",
- "pattern": "Use short paragraphs and bullet points for better readability.",
- "industry": "General"
}, - "keywords_phrases": {
- "must": [
- "revolutionary"
], - "should": [
- "great"
], - "omit": [
- "bad"
]
}
}
}{- "engagement": "social_post",
- "config": {
- "brand_tone": {
- "tone_of_voice": "Informal but professional",
- "writing_style": "Simple and concise",
- "target_audience": "General audience",
- "grammar": "Correct usage of grammar and punctuation",
- "emotional_tone": "Neutral",
- "punctuation": "Limited use of commas and full stops.",
- "language": "Easy to understand language. Avoid using jargon and complex words.",
- "pitch": "Positive and optimistic",
- "choice_of_words": "Use simple words and phrases. Avoid using slang or offensive language.",
- "use_of_emoticons": "Emoticons can be used in informal communications but not in professional communications.",
- "pattern": "Use short paragraphs and bullet points for better readability.",
- "industry": "General"
}, - "keywords_phrases": {
- "must": [
- "revolutionary"
], - "should": [
- "great"
], - "omit": [
- "bad"
]
}
}, - "created_at": "2024-01-01T12:00:00Z",
- "updated_at": "2024-01-01T12:00:00Z"
}Get the configuration for a specific engagement.
| engagement required | string (Engagement) Enum: "generic" "email" "social_post" "blog_post" "creative_brief" Example: social_post The form of interaction or communication aimed at capturing attention, promoting content, or encouraging participation. |
{- "engagement": "social_post",
- "config": {
- "brand_tone": {
- "tone_of_voice": "Informal but professional",
- "writing_style": "Simple and concise",
- "target_audience": "General audience",
- "grammar": "Correct usage of grammar and punctuation",
- "emotional_tone": "Neutral",
- "punctuation": "Limited use of commas and full stops.",
- "language": "Easy to understand language. Avoid using jargon and complex words.",
- "pitch": "Positive and optimistic",
- "choice_of_words": "Use simple words and phrases. Avoid using slang or offensive language.",
- "use_of_emoticons": "Emoticons can be used in informal communications but not in professional communications.",
- "pattern": "Use short paragraphs and bullet points for better readability.",
- "industry": "General"
}, - "keywords_phrases": {
- "must": [
- "revolutionary"
], - "should": [
- "great"
], - "omit": [
- "bad"
]
}
}, - "created_at": "2024-01-01T12:00:00Z",
- "updated_at": "2024-01-01T12:00:00Z"
}Update the configuration for a specific engagement.
| engagement required | string (Engagement) Enum: "generic" "email" "social_post" "blog_post" "creative_brief" Example: social_post The form of interaction or communication aimed at capturing attention, promoting content, or encouraging participation. |
The new configuration for the engagement.
required | object (Engagement Config) non-empty A configuration that applies to the entire engagement. |
{- "config": {
- "brand_tone": {
- "tone_of_voice": "Informal but professional",
- "writing_style": "Simple and concise",
- "target_audience": "General audience",
- "grammar": "Correct usage of grammar and punctuation",
- "emotional_tone": "Neutral",
- "punctuation": "Limited use of commas and full stops.",
- "language": "Easy to understand language. Avoid using jargon and complex words.",
- "pitch": "Positive and optimistic",
- "choice_of_words": "Use simple words and phrases. Avoid using slang or offensive language.",
- "use_of_emoticons": "Emoticons can be used in informal communications but not in professional communications.",
- "pattern": "Use short paragraphs and bullet points for better readability.",
- "industry": "General"
}, - "keywords_phrases": {
- "must": [
- "revolutionary"
], - "should": [
- "great"
], - "omit": [
- "bad"
]
}
}
}{- "engagement": "social_post",
- "config": {
- "brand_tone": {
- "tone_of_voice": "Informal but professional",
- "writing_style": "Simple and concise",
- "target_audience": "General audience",
- "grammar": "Correct usage of grammar and punctuation",
- "emotional_tone": "Neutral",
- "punctuation": "Limited use of commas and full stops.",
- "language": "Easy to understand language. Avoid using jargon and complex words.",
- "pitch": "Positive and optimistic",
- "choice_of_words": "Use simple words and phrases. Avoid using slang or offensive language.",
- "use_of_emoticons": "Emoticons can be used in informal communications but not in professional communications.",
- "pattern": "Use short paragraphs and bullet points for better readability.",
- "industry": "General"
}, - "keywords_phrases": {
- "must": [
- "revolutionary"
], - "should": [
- "great"
], - "omit": [
- "bad"
]
}
}, - "created_at": "2024-01-01T12:00:00Z",
- "updated_at": "2024-01-01T12:00:00Z"
}Delete the configuration for a specific engagement.
| engagement required | string (Engagement) Enum: "generic" "email" "social_post" "blog_post" "creative_brief" Example: social_post The form of interaction or communication aimed at capturing attention, promoting content, or encouraging participation. |
{- "code": "BAD_REQUEST_BODY",
- "message": "Invalid request body",
- "details": { }
}Creates a new creative config for an engagement that applies to a specific platform.
| engagement required | string (Engagement) Enum: "generic" "email" "social_post" "blog_post" "creative_brief" Example: social_post The form of interaction or communication aimed at capturing attention, promoting content, or encouraging participation. |
| platform required | string (Platform) non-empty ^[a-z0-9_]+$ The name identifying a specific platform. This can be considered as a sub-category of an Engagement. For example, if the Engagement is Note: The platform should be relevant to a specified 'engagement'. |
required | object (Engagement Config) non-empty A configuration that applies to the entire engagement. |
{- "platform": "facebook",
- "config": {
- "brand_tone": {
- "tone_of_voice": "Informal but professional",
- "writing_style": "Simple and concise",
- "target_audience": "General audience",
- "grammar": "Correct usage of grammar and punctuation",
- "emotional_tone": "Neutral",
- "punctuation": "Limited use of commas and full stops.",
- "language": "Easy to understand language. Avoid using jargon and complex words.",
- "pitch": "Positive and optimistic",
- "choice_of_words": "Use simple words and phrases. Avoid using slang or offensive language.",
- "use_of_emoticons": "Emoticons can be used in informal communications but not in professional communications.",
- "pattern": "Use short paragraphs and bullet points for better readability.",
- "industry": "General"
}, - "keywords_phrases": {
- "must": [
- "revolutionary"
], - "should": [
- "great"
], - "omit": [
- "bad"
]
}
}
}{- "engagement": "social_post",
- "platform": "facebook",
- "config": {
- "brand_tone": {
- "tone_of_voice": "Informal but professional",
- "writing_style": "Simple and concise",
- "target_audience": "General audience",
- "grammar": "Correct usage of grammar and punctuation",
- "emotional_tone": "Neutral",
- "punctuation": "Limited use of commas and full stops.",
- "language": "Easy to understand language. Avoid using jargon and complex words.",
- "pitch": "Positive and optimistic",
- "choice_of_words": "Use simple words and phrases. Avoid using slang or offensive language.",
- "use_of_emoticons": "Emoticons can be used in informal communications but not in professional communications.",
- "pattern": "Use short paragraphs and bullet points for better readability.",
- "industry": "General"
}, - "keywords_phrases": {
- "must": [
- "revolutionary"
], - "should": [
- "great"
], - "omit": [
- "bad"
]
}
}, - "created_at": "2024-01-01T12:00:00Z",
- "updated_at": "2024-01-01T12:00:00Z"
}Get the configuration for a platform-specific engagement.
| engagement required | string (Engagement) Enum: "generic" "email" "social_post" "blog_post" "creative_brief" Example: social_post The form of interaction or communication aimed at capturing attention, promoting content, or encouraging participation. |
| platform required | string (Platform) non-empty ^[a-z0-9_]+$ Example: facebook The specific platform for the content. |
{- "engagement": "social_post",
- "platform": "facebook",
- "config": {
- "brand_tone": {
- "tone_of_voice": "Informal but professional",
- "writing_style": "Simple and concise",
- "target_audience": "General audience",
- "grammar": "Correct usage of grammar and punctuation",
- "emotional_tone": "Neutral",
- "punctuation": "Limited use of commas and full stops.",
- "language": "Easy to understand language. Avoid using jargon and complex words.",
- "pitch": "Positive and optimistic",
- "choice_of_words": "Use simple words and phrases. Avoid using slang or offensive language.",
- "use_of_emoticons": "Emoticons can be used in informal communications but not in professional communications.",
- "pattern": "Use short paragraphs and bullet points for better readability.",
- "industry": "General"
}, - "keywords_phrases": {
- "must": [
- "revolutionary"
], - "should": [
- "great"
], - "omit": [
- "bad"
]
}
}, - "created_at": "2024-01-01T12:00:00Z",
- "updated_at": "2024-01-01T12:00:00Z"
}Update the configuration for a platform-specific engagement.
| engagement required | string (Engagement) Enum: "generic" "email" "social_post" "blog_post" "creative_brief" Example: social_post The form of interaction or communication aimed at capturing attention, promoting content, or encouraging participation. |
| platform required | string (Platform) non-empty ^[a-z0-9_]+$ Example: facebook The specific platform for the content. |
The new configuration for the platform-specific engagement.
required | object (Engagement Config) non-empty A configuration that applies to the entire engagement. |
{- "config": {
- "brand_tone": {
- "tone_of_voice": "Informal but professional",
- "writing_style": "Simple and concise",
- "target_audience": "General audience",
- "grammar": "Correct usage of grammar and punctuation",
- "emotional_tone": "Neutral",
- "punctuation": "Limited use of commas and full stops.",
- "language": "Easy to understand language. Avoid using jargon and complex words.",
- "pitch": "Positive and optimistic",
- "choice_of_words": "Use simple words and phrases. Avoid using slang or offensive language.",
- "use_of_emoticons": "Emoticons can be used in informal communications but not in professional communications.",
- "pattern": "Use short paragraphs and bullet points for better readability.",
- "industry": "General"
}, - "keywords_phrases": {
- "must": [
- "revolutionary"
], - "should": [
- "great"
], - "omit": [
- "bad"
]
}
}
}{- "engagement": "social_post",
- "platform": "facebook",
- "config": {
- "brand_tone": {
- "tone_of_voice": "Informal but professional",
- "writing_style": "Simple and concise",
- "target_audience": "General audience",
- "grammar": "Correct usage of grammar and punctuation",
- "emotional_tone": "Neutral",
- "punctuation": "Limited use of commas and full stops.",
- "language": "Easy to understand language. Avoid using jargon and complex words.",
- "pitch": "Positive and optimistic",
- "choice_of_words": "Use simple words and phrases. Avoid using slang or offensive language.",
- "use_of_emoticons": "Emoticons can be used in informal communications but not in professional communications.",
- "pattern": "Use short paragraphs and bullet points for better readability.",
- "industry": "General"
}, - "keywords_phrases": {
- "must": [
- "revolutionary"
], - "should": [
- "great"
], - "omit": [
- "bad"
]
}
}, - "created_at": "2024-01-01T12:00:00Z",
- "updated_at": "2024-01-01T12:00:00Z"
}Delete the configuration for a platform-specific engagement.
| engagement required | string (Engagement) Enum: "generic" "email" "social_post" "blog_post" "creative_brief" Example: social_post The form of interaction or communication aimed at capturing attention, promoting content, or encouraging participation. |
| platform required | string (Platform) non-empty ^[a-z0-9_]+$ Example: facebook The specific platform for the content. |
{- "code": "BAD_REQUEST_BODY",
- "message": "Invalid request body",
- "details": { }
}Creates a new creative config for specific section in an engagement.
| engagement required | string (Engagement) Enum: "generic" "email" "social_post" "blog_post" "creative_brief" Example: social_post The form of interaction or communication aimed at capturing attention, promoting content, or encouraging participation. |
| section required | string (Section) non-empty ^[a-z0-9_]+$ The name identifying a specific part or component within the content. |
required | object (Section Config) non-empty A configuration that applies to a specific section. |
{- "section": "title",
- "config": {
- "definition": "string",
- "keywords_phrases": {
- "must": [
- "revolutionary"
], - "should": [
- "great"
], - "omit": [
- "bad"
]
}, - "content_length": {
- "min": 1,
- "max": 1,
- "unit": "words"
}, - "structure": "text"
}
}{- "engagement": "social_post",
- "section": "title",
- "config": {
- "definition": "string",
- "keywords_phrases": {
- "must": [
- "revolutionary"
], - "should": [
- "great"
], - "omit": [
- "bad"
]
}, - "content_length": {
- "min": 1,
- "max": 1,
- "unit": "words"
}, - "structure": "text"
}, - "created_at": "string",
- "updated_at": "string"
}Get the configuration for a specific section in an engagement.
| engagement required | string (Engagement) Enum: "generic" "email" "social_post" "blog_post" "creative_brief" Example: social_post The form of interaction or communication aimed at capturing attention, promoting content, or encouraging participation. |
| section required | string (Section) non-empty ^[a-z0-9_]+$ Example: title The name identifying a specific part or component within the content. |
{- "engagement": "social_post",
- "section": "title",
- "config": {
- "definition": "string",
- "keywords_phrases": {
- "must": [
- "revolutionary"
], - "should": [
- "great"
], - "omit": [
- "bad"
]
}, - "content_length": {
- "min": 1,
- "max": 1,
- "unit": "words"
}, - "structure": "text"
}, - "created_at": "string",
- "updated_at": "string"
}Update the configuration for a specific section in an engagement.
| engagement required | string (Engagement) Enum: "generic" "email" "social_post" "blog_post" "creative_brief" Example: social_post The form of interaction or communication aimed at capturing attention, promoting content, or encouraging participation. |
| section required | string (Section) non-empty ^[a-z0-9_]+$ Example: title The name identifying a specific part or component within the content. |
The new configuration for the specific section in an engagement.
required | object (Section Config) non-empty A configuration that applies to a specific section. |
{- "config": {
- "definition": "string",
- "keywords_phrases": {
- "must": [
- "revolutionary"
], - "should": [
- "great"
], - "omit": [
- "bad"
]
}, - "content_length": {
- "min": 1,
- "max": 1,
- "unit": "words"
}, - "structure": "text"
}
}{- "engagement": "social_post",
- "section": "title",
- "config": {
- "definition": "string",
- "keywords_phrases": {
- "must": [
- "revolutionary"
], - "should": [
- "great"
], - "omit": [
- "bad"
]
}, - "content_length": {
- "min": 1,
- "max": 1,
- "unit": "words"
}, - "structure": "text"
}, - "created_at": "string",
- "updated_at": "string"
}Delete the configuration for a specific section in an engagement.
| engagement required | string (Engagement) Enum: "generic" "email" "social_post" "blog_post" "creative_brief" Example: social_post The form of interaction or communication aimed at capturing attention, promoting content, or encouraging participation. |
| section required | string (Section) non-empty ^[a-z0-9_]+$ Example: title The name identifying a specific part or component within the content. |
{- "code": "BAD_REQUEST_BODY",
- "message": "Invalid request body",
- "details": { }
}Creates a new creative config for specific section in an engagement on a specific platform.
| engagement required | string (Engagement) Enum: "generic" "email" "social_post" "blog_post" "creative_brief" Example: social_post The form of interaction or communication aimed at capturing attention, promoting content, or encouraging participation. |
| platform required | string (Platform) non-empty ^[a-z0-9_]+$ Example: facebook The specific platform for the content. |
| section required | string (Section) non-empty ^[a-z0-9_]+$ The name identifying a specific part or component within the content. |
required | object (Section Config) non-empty A configuration that applies to a specific section. |
{- "section": "title",
- "config": {
- "definition": "string",
- "keywords_phrases": {
- "must": [
- "revolutionary"
], - "should": [
- "great"
], - "omit": [
- "bad"
]
}, - "content_length": {
- "min": 1,
- "max": 1,
- "unit": "words"
}, - "structure": "text"
}
}{- "engagement": "social_post",
- "platform": "facebook",
- "section": "title",
- "config": {
- "definition": "string",
- "keywords_phrases": {
- "must": [
- "revolutionary"
], - "should": [
- "great"
], - "omit": [
- "bad"
]
}, - "content_length": {
- "min": 1,
- "max": 1,
- "unit": "words"
}, - "structure": "text"
}, - "created_at": "string",
- "updated_at": "string"
}Get the configuration for a specific section in an engagement that applies to a specific platform.
| engagement required | string (Engagement) Enum: "generic" "email" "social_post" "blog_post" "creative_brief" Example: social_post The form of interaction or communication aimed at capturing attention, promoting content, or encouraging participation. |
| platform required | string (Platform) non-empty ^[a-z0-9_]+$ Example: facebook The specific platform for the content. |
| section required | string (Section) non-empty ^[a-z0-9_]+$ Example: title The name identifying a specific part or component within the content. |
{- "engagement": "social_post",
- "platform": "facebook",
- "section": "title",
- "config": {
- "definition": "string",
- "keywords_phrases": {
- "must": [
- "revolutionary"
], - "should": [
- "great"
], - "omit": [
- "bad"
]
}, - "content_length": {
- "min": 1,
- "max": 1,
- "unit": "words"
}, - "structure": "text"
}, - "created_at": "string",
- "updated_at": "string"
}Update the configuration for a specific section in an engagement that applies to a specific platform.
| engagement required | string (Engagement) Enum: "generic" "email" "social_post" "blog_post" "creative_brief" Example: social_post The form of interaction or communication aimed at capturing attention, promoting content, or encouraging participation. |
| platform required | string (Platform) non-empty ^[a-z0-9_]+$ Example: facebook The specific platform for the content. |
| section required | string (Section) non-empty ^[a-z0-9_]+$ Example: title The name identifying a specific part or component within the content. |
The new configuration for the specific section in an engagement that applies to a specific platform.
required | object (Section Config) non-empty A configuration that applies to a specific section. |
{- "config": {
- "definition": "string",
- "keywords_phrases": {
- "must": [
- "revolutionary"
], - "should": [
- "great"
], - "omit": [
- "bad"
]
}, - "content_length": {
- "min": 1,
- "max": 1,
- "unit": "words"
}, - "structure": "text"
}
}{- "engagement": "social_post",
- "platform": "facebook",
- "section": "title",
- "config": {
- "definition": "string",
- "keywords_phrases": {
- "must": [
- "revolutionary"
], - "should": [
- "great"
], - "omit": [
- "bad"
]
}, - "content_length": {
- "min": 1,
- "max": 1,
- "unit": "words"
}, - "structure": "text"
}, - "created_at": "string",
- "updated_at": "string"
}Delete the configuration for a specific section in an engagement that applies to a specific platform.
| engagement required | string (Engagement) Enum: "generic" "email" "social_post" "blog_post" "creative_brief" Example: social_post The form of interaction or communication aimed at capturing attention, promoting content, or encouraging participation. |
| platform required | string (Platform) non-empty ^[a-z0-9_]+$ Example: facebook The specific platform for the content. |
| section required | string (Section) non-empty ^[a-z0-9_]+$ Example: title The name identifying a specific part or component within the content. |
{- "code": "BAD_REQUEST_BODY",
- "message": "Invalid request body",
- "details": { }
}| asset_id required | string <uuid> The ID of the asset stored in the Smart Asset Search system. |
| uri required | string The URI of the asset. This is the location of the asset, such as a URL or a unique identifier for an asset in an asset store. |
| labels required | string non-empty The labels associated with the asset. |
{- "asset_id": "b4695157-0d1d-4da0-8f9e-5c53149389e4",
- "uri": "string",
- "labels": "string"
}| doc_id required | string <uuid> non-empty The ID of the document stored in the Knowledgebase. |
| uri required | string <uri> non-empty The URI of the document. This is the location of the document, such as a URL or a unique identifier for a document in a document store. |
| status required | string (Status) Enum: "ACTIVE" "SUSPENDED" Details the possible status for a resource. |
| access required | string (Access) Enum: "PUBLIC" "PRIVATE" "RESTRICTED" Details the possible access levels for a resource. |
| labels required | Array of strings (Labels) <= 100 items [ items [ 1 .. 64 ] characters ^[a-zA-Z0-9_-]{1,64}$ ] List of labels associated with the record. |
| weight required | integer (Weight) [ 1 .. 100 ] Default: 1 Weight of the document for search ranking. A value of one (1) means the document is not weighted. |
| chunks required | Array of strings <uuid> non-empty [ items <uuid > ] A list of chunk IDs for the document stored in the Knowledgebase. Note: Only the first 1000 chunk IDs are returned. |
{- "doc_id": "c8561737-9a40-4d91-8958-e405c0ad8596",
- "status": "ACTIVE",
- "access": "PUBLIC",
- "labels": [
- "label1",
- "label2"
], - "weight": 1,
- "chunks": [
- "497f6eca-6276-4993-bfeb-53cbbbba6f08"
]
}